Bug 606854 - FHS violation
FHS violation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libcgroup (Show other bugs)
14
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Dhaval Giani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 11:50 EDT by Ralf Corsepius
Modified: 2010-09-10 23:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: libcgroup-0.36.2-4.fc14
Doc Type: Bug Fix
Doc Text:
https://bugzilla.redhat.com/show_bug.cgi?id=606854
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 23:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2010-06-22 11:50:20 EDT
Description of problem:

libcgroup ships a directory /cgroup

This violates the FHS.


Version-Release number of selected component (if applicable):
libcgroup-0.35.1-1.fc13.x86_64


Expected results:
This directory must be removed or located somewhere else.
Comment 1 Dhaval Giani 2010-06-22 12:38:49 EDT
Define somewhere else?

There is no consensus about where it should be located, and /cgroup is as good a location as some other.
Comment 2 Ralf Corsepius 2010-06-22 12:47:23 EDT
(In reply to comment #1)
> Define somewhere else?

What is this directory supposed to contain?

 
> There is no consensus about where it should be located, and /cgroup is as good
> a location as some other.    
It is not. What you did is a very ugly "MUST NOT HAVE HAPPENED".

The fact his package made it into Fedora is evidence that this package wasn't carefully reviewed, and made it to sneak through the _wide_ cracks of QA.
Comment 3 Ralf Corsepius 2010-06-22 12:47:23 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
https://bugzilla.redhat.com/show_bug.cgi?id=606854
Comment 4 Dhaval Giani 2010-06-22 13:02:05 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Define somewhere else?
> 
> What is this directory supposed to contain?
> 

Umm. /cgroup contains all the cgroup directories, where the different cgroup filesystems are maintained. It is used by systemd as well.

> 
> > There is no consensus about where it should be located, and /cgroup is as good
> > a location as some other.    
> It is not. What you did is a very ugly "MUST NOT HAVE HAPPENED".
> 

Please get a consensus with the upstream kernel community and we will fix it.

> The fact his package made it into Fedora is evidence that this package wasn't
> carefully reviewed, and made it to sneak through the _wide_ cracks of QA.
Comment 5 Balbir Singh 2010-06-22 13:10:16 EDT
Let me clarify where /cgroup comes from

libcgroup allows users to create /etc/cgconfig.conf and that file specifies where cgroups should be mounted. We discussed this at length on the mailing lists, including lkml. Fedora defaulted to /cgroup for this location (jsafrane, please correct me if I got the history wrong). Other options were /sys/cgroup and /dev/cgroup.

This directory is not created at install time, but at run time and then cleaned up when the service goes down. This can be easily fixed up without impacting any user (AFAIK), but please tell us what FHS recommends as the location to mount a pseudo filesystem.
Comment 6 Bug Zapper 2010-07-30 08:11:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Update System 2010-09-03 07:23:36 EDT
libcgroup-0.36.2-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libcgroup-0.36.2-4.fc14
Comment 8 Jan Safranek 2010-09-03 07:28:11 EDT
Modern kernel provides /sys/fs/cgroup for control groups, let's mount stuff there.
Comment 9 Fedora Update System 2010-09-03 12:44:53 EDT
libcgroup-0.36.2-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcgroup'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libcgroup-0.36.2-4.fc14
Comment 10 Fedora Update System 2010-09-10 23:35:04 EDT
libcgroup-0.36.2-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.